Bug 560382 - SELinux is preventing /usr/lib/vmware-tools/sbin32/vmware-guestd "write" access on /tmp.
Summary: SELinux is preventing /usr/lib/vmware-tools/sbin32/vmware-guestd "write" acce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:a21f3cc188e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-31 11:55 UTC by Sean lin
Modified: 2010-02-11 14:43 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-84.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-11 14:43:29 UTC


Attachments (Terms of Use)

Description Sean lin 2010-01-31 11:55:34 UTC
Summary:

SELinux is preventing /usr/lib/vmware-tools/sbin32/vmware-guestd "write" access
on /tmp.

Detailed Description:

SELinux denied access requested by vmware-guestd. It is not expected that this
access is required by vmware-guestd and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:vmware_host_t:s0-s0:c0.c1023
Target Context                system_u:object_r:tmp_t:s0
Target Objects                /tmp [ dir ]
Source                        vmware-guestd
Source Path                   /usr/lib/vmware-tools/sbin32/vmware-guestd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           VMwareTools-7238-45731
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.12-174.2.3.fc12.i686 #1 SMP Mon Jan 18
                              20:22:46 UTC 2010 i686 i686
Alert Count                   48
First Seen                    Mon 01 Feb 2010 03:39:39 AM CST
Last Seen                     Mon 01 Feb 2010 03:39:39 AM CST
Local ID                      376d0e7e-6044-442a-83f7-a40095832e4b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1264966779.991:82): avc:  denied  { write } for  pid=946 comm="vmware-guestd" name="tmp" dev=dm-0 ino=32780 scontext=system_u:system_r:vmware_host_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1264966779.991:82): arch=40000003 syscall=39 per=400000 success=no exit=-13 a0=8578570 a1=1c0 a2=8578570 a3=4c items=0 ppid=1 pid=946 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="vmware-guestd" exe="/usr/lib/vmware-tools/sbin32/vmware-guestd" subj=system_u:system_r:vmware_host_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,vmware-guestd,vmware_host_t,tmp_t,dir,write
audit2allow suggests:

#============= vmware_host_t ==============
allow vmware_host_t tmp_t:dir write;

Comment 1 Daniel Walsh 2010-02-01 18:51:47 UTC
Miroslav please

Add
type vmware_host_tmp_t;
files_tmp_file(vmware_host_tmp_t)
ubac_constrained(vmware_host_tmp_t)

manage_dirs_pattern(vmware_host_t, vmware_host_tmp_t, vmware_host_tmp_t)
manage_files_pattern(vmware_host_t, vmware_host_tmp_t, vmware_host_tmp_t)
manage_sock_files_pattern(vmware_host_t, vmware_host_tmp_t, vmware_host_tmp_t)
files_tmp_filetrans(vmware_host_t, vmware_host_tmp_t, { file dir })

Comment 2 Miroslav Grepl 2010-02-01 19:39:06 UTC
Fixed in selinux-policy-3.6.32-80.fc12

Comment 3 Fedora Update System 2010-02-03 23:20:44 UTC
selinux-policy-3.6.32-82.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-82.fc12

Comment 4 Fedora Update System 2010-02-05 01:46:00 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1492

Comment 5 Fedora Update System 2010-02-11 14:39:01 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.